<app-cover *ngIf="!courseLoaded" [@fadeAnimation]="'in'" (startCourse)="startCourse()"></app-cover>

<div class="course-container" *ngIf="courseLoaded">
  <div class="background-image {{structureService.screen.backgroundClasses}}"
    [style.background-color]="structureService.screen && structureService.screen.backgroundColor ? structureService.screen.backgroundColor : null"
    [style.background-image]="structureService.screen && structureService.screen.backgroundImage ? 'url(' + structureService.screen.backgroundImage + ')' : null"
    [@fadeAnimation]="'in'" *ngIf="structureService.screen"></div>

  <!-- Container de telas -->
  <app-screen class="{{ structureService.screen.screenClasses }}" *ngIf="structureService.screen"
    [hidden]="menuOpened || tutorialOpened" [@fadeAnimation]="'in'"></app-screen>

  <!-- Imagem exibida para sobrepor conteúdo da tela em casos de modais -->
  <div class="background-image background-image-modal" [class.white-modal]="menuOpened || tutorialOpened"
    *ngIf="menuOpened || tutorialOpened" [@fadeAnimation]="'in'"></div>

  <header>
    <img class="logo" src="./assets/images/logo.png" alt="Logo">
    <div class="bar">
      <h1 class="course-title">{{structureService.title}}</h1>
      <div class="progress">
        <strong class="text">{{structureService.progress | number: '1.0-0'}}%</strong>
        <div class="progress-bar">
          <div class="percent" [style.width.%]="structureService.progress"></div>
        </div>
      </div>
      <button type="button" class="menu-button" (click)="toggleMenuOpened()" [class.disabled]="tutorialOpened || menuOpened"></button>
    </div>
  </header>
  <footer>
    <div class="bar">
      <button type="button" class="prev-button" (click)="structureService.tryGoBack()" [class.disabled]="!structureService.canGoBack() || tutorialOpened || menuOpened"></button>

      <button type="button" class="tutorial-button" (click)="toggleTutorialOpened()" [class.disabled]="tutorialOpened || menuOpened"></button>

      <p class="orientation-message"><span>{{hintService.currentMessage}}</span></p>

      <p class="screen-counter">Tela: <span class="current">{{structureService.screenCount | number: '2.'}}</span><span class="total">{{structureService.totalScreensCount | number: '2.'}}</span></p>

      <button type="button" class="audio-button" (click)="toggleAudio()" [class.disabled]="tutorialOpened || menuOpened" [class.off]="!audioActive"></button>

      <button type="button" class="review-button" (click)="structureService.review()" [class.disabled]="tutorialOpened || menuOpened"></button>

      <button type="button" class="next-button" (click)="structureService.tryGoNext()" [class.disabled]="!structureService.canGoNext() || tutorialOpened || menuOpened"></button>
    </div>
  </footer>

  <!-- <div class="layout-top-bar">
      <div class="layout-top-bar-bg"></div>

      <span class="layout-title ft-avenir-next-lt-pro-bold ft-19">{{ structureService.title }}</span>

      <span class="layout-sub-title ft-avenir-next-lt-pro-thin ft-15">{{ structureService.topic.title }}</span>

      <div class="progress">
        <div class="progress-bar">
          <div class="progress-bar-fill" [style.width.%]="structureService.progress"></div>
        </div>

        <span class="progress-text ft-avenir-next-lt-pro-thin ft-16">{{ structureService.progress | number: '1.0-0' }}% concluído</span>
      </div>

      <img class="layout-menu" [class.disabled]="tutorialOpened || menuOpened" src="./assets/images/layout_menu_button.png" alt="menu"
            (click)="toggleMenuOpened()"/>
    </div> -->

  <!-- <div class="layout-left-bar">
      <div class="layout-button layout-screen-review" [class.disabled]="tutorialOpened || menuOpened"
            (click)="structureService.review()">
        <img src="./assets/images/layout_review_button.png">
      </div>

      <div class="layout-button layout-screen-back" [class.disabled]="!structureService.canGoBack() || tutorialOpened || menuOpened"
            (click)="structureService.tryGoBack()">
        <img src="./assets/images/layout_back_button.png">
      </div>
    </div> -->

  <!-- <div class="layout-right-bar">
        <div class="layout-button layout-screen-audio" [class.disabled]="tutorialOpened || menuOpened"
             *ngIf="!audioActive" (click)="toggleAudio()">
          <img src="./assets/images/layout_toggle_audio_off_button.png">
        </div>

        <div class="layout-button layout-screen-audio" [class.disabled]="tutorialOpened || menuOpened"
             *ngIf="audioActive" (click)="toggleAudio()">
          <img src="./assets/images/layout_toggle_audio_on_button.png">
        </div>
  
        <div class="layout-button layout-screen-next" [class.disabled]="!structureService.canGoNext() || tutorialOpened || menuOpened"
              (click)="structureService.tryGoNext()">
          <img src="./assets/images/layout_next_button.png">
        </div>
    </div> -->

  <!-- <div class="layout-bottom-bar">
      <div class="layout-bottom-bar-bg"></div>

      <div class="layout-hint" *ngIf="courseLoaded && !tutorialOpened && hintService.currentMessage">
        <span class="ft-avenir-next-lt-pro-thin ft-14">{{hintService.currentMessage}}</span>
      </div>

      <div class="layout-screen-counter">
        <span class="ft-avenir-next-lt-pro-bold ft-15">
          {{structureService.screenCount | number: '2.'}} de {{structureService.totalScreensCount | number: '2.'}}
        </span>
      </div>
    </div> -->

  <!-- Menu -->
  <app-layout-menu *ngIf="menuOpened" [@fadeAnimation]="'in'" (close)="toggleMenuOpened()"></app-layout-menu>

  <!-- Tutorial -->
  
  <app-layout-tutorial *ngIf="tutorialOpened" [@fadeAnimation]="'in'" (close)="toggleTutorialOpened()"></app-layout-tutorial>
   
</div>